package cn.iocoder.yudao.module.wealth.dal.dataobject.receiptInvoiceLog;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 收款单开票信息日志 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_receipt_invoice_log")
public class ReceiptInvoiceLogDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 开票信息id
     */
    private Long invoiceId;
    /**
     * 开票环节
     */
    private Integer invoicingLink;
    /**
     * 操作人
     */
    private String operator;
    /**
     * 备注
     */
    private String remark;
    /**
     * 审批流程
     */
    private Integer bpmStatus;
    /**
     * 创建时间
     */
    private Date createTime;

}
