package cn.iocoder.yudao.module.wealth.dal.dataobject.receiptLog;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 收款单日志 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_receipt_log")
public class ReceiptLogDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 收款单id
     */
    private Long receiptId;
    /**
     * 收款单环节
     */
    private Integer receiptLink;
    /**
     * 操作人
     */
    private String operator;
    /**
     * 备注
     */
    private String remark;
    /**
     * 审批流程
     */
    private String bpmStatus;
    /**
     * 创建时间
     */
    private Date createTime;

}
