package cn.iocoder.yudao.module.wealth.dal.mysql.receivable;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receivable.ReceivableWriteOffRecordDO;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;

/**
 * 应收明细核销记录 Mapper
 */
@Mapper
public interface ReceivableWriteOffRecordMapper extends AbstractMapper<ReceivableWriteOffRecordDO> {
    BigDecimal getTotalAmountForReceivable(Long id);

    void deleteWriteOffRecord(Long id);
}
