package cn.iocoder.yudao.module.wealth.vo.receipt;

import cn.iocoder.yudao.module.wealth.vo.receiptAccount.ReceiptAccountBackVO;
import cn.iocoder.yudao.module.wealth.vo.receiptInvoice.ReceiptInvoicePageBackVO;
import cn.iocoder.yudao.module.wealth.vo.receiptItem.ReceiptItemBackVO;
import cn.iocoder.yudao.module.wealth.vo.receivable.ReceivableBackVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 收款单详情 VO")
public class ReceiptDetailVO extends ReceiptBaseVO {

    @ApiModelProperty(value = "应收项")
    private List<ReceivableBackVO> receivableVOList;

    @ApiModelProperty(value = "收款信息")
    private List<ReceiptAccountBackVO> receiptAccountList;

    @ApiModelProperty(value = "开票资料")
    private ReceiptInvoicePageBackVO receiptInvoice;

    @ApiModelProperty(value = "银行收款单明细")
    private List<ReceiptItemBackVO> receiptItemList;

    @ApiModelProperty(value = "日志")
    private List<ReceiptLogBackVO> receiptLogList;
}
