package cn.iocoder.yudao.module.wealth.vo.receiptInvoice;

import cn.iocoder.yudao.module.wealth.vo.receipt.ReceiptRelationOrderInfoVO;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("管理后台 - 收款单开票列表 Response VO")
public class ReceiptInvoicePageBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("开票编号")
    @ApiModelProperty(value = "开票编号", required = true)
    private String invoiceNo;

    @ExcelProperty("收款单id")
    @ApiModelProperty(value = "收款单id", required = true)
    private Long receiptId;

    @ExcelProperty("收款单号（例：SKD001）")
    @ApiModelProperty(value = "收款单号（例：SKD001）", required = true)
    private String receiptNo;

    @ApiModelProperty(value = "申请日期")
    private String createTime;

    @ExcelProperty("开票状态")
    @ApiModelProperty(value = "开票状态")
    private Integer invoicingStatus;

    @ExcelProperty("开票资料状态")
    @ApiModelProperty(value = "开票资料状态")
    private Integer invoiceDataStatus;

    @ExcelProperty("部门id")
    @ApiModelProperty(value = "部门id")
    private Long departmentId;

    @ExcelProperty("部门名称")
    @ApiModelProperty(value = "部门名称")
    private String departmentName;

    @ExcelProperty("申请人id")
    @ApiModelProperty(value = "申请人id")
    private Long applyUserId;

    @ExcelProperty("申请人姓名")
    @ApiModelProperty(value = "申请人姓名")
    private String applyUserName;

    @ApiModelProperty(value = "发票抬头")
    private String invoiceHeader;

    @ApiModelProperty(value = "开票金额")
    private java.math.BigDecimal invoiceMoney;

    @ApiModelProperty(value = "开票品名")
    private String invoiceItem;

    @ApiModelProperty(value = "税率")
    private java.math.BigDecimal taxRate;

    @ApiModelProperty(value = "收款状态")
    private Integer receiptState;

    @ApiModelProperty(value = "核销比例")
    private String writeOffProportion;

    @ApiModelProperty(value = "相关订单信息列表")
    private List<ReceiptRelationOrderInfoVO> orderInfoList;
}
