package cn.iocoder.yudao.module.wealth.vo.receivable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("管理后台 - 批量生成收款单列表查询 Request VO")
public class BatchGenReceiptPageQueryVO {
    @ApiModelProperty(value = "订单id")
    private List<Long> orderIds;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "提单号")
    private String tidanNo;

    @ApiModelProperty(value = "运输方式id")
    private Integer transportId;

    @ApiModelProperty(value = "始发仓id（多选）")
    private List<Integer> departureWareHouseId;

    @ApiModelProperty(value = "目的国（多选）")
    private List<Integer> destCountry;

    @ApiModelProperty(value = "目的城市（多选）")
    private List<Integer> destCity;

    @ApiModelProperty(value = "目的仓id（多选）")
    private List<Integer> objectiveWareHouseId;

    @ApiModelProperty(value = "付款方")
    private String payer;

    @ApiModelProperty(value = "收货人")
    private String consignee;

    @ApiModelProperty(value = "发货人")
    private String consignor;
}
