package cn.iocoder.yudao.module.wealth.vo.receivable;

import cn.iocoder.yudao.module.wealth.vo.receiptItem.CurrencyAmount;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("管理后台 - 批量生成收款单列表 VO")
public class BatchGenReceiptPageVO {
    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "提单号")
    private String tidanNo;

    @ApiModelProperty(value = "运输方式id")
    private Integer transportId;

    @ApiModelProperty(value = "始发仓id")
    private Integer departureWareHouseId;

    @ApiModelProperty(value = "目的仓id")
    private Integer objectiveWareHouseId;

    @ApiModelProperty(value = "付款人类型（1 发货人 2 收货人）")
    private Integer drawee;

    @ApiModelProperty(value = "收货人id")
    private Long consigneeId;

    @ApiModelProperty(value = "发货人id")
    private Long consignorId;

    @ApiModelProperty(value = "付款人id")
    private Long payerId;

    @ApiModelProperty(value = "是否开票 0否1是")
    private Integer openInvoice;

    @ApiModelProperty(value = "客户编号")
    private String customerNo;

    @ApiModelProperty(value = "客户姓名")
    private String customerName;

    @ApiModelProperty(value = "付款名称")
    private String payerName;

    @ApiModelProperty(value = "订单状态")
    private Integer orderStatus;

    @ApiModelProperty(value = "自编号状态")
    private Integer selfNoStatus;

    @ApiModelProperty(value = "应收汇总")
    private List<CurrencyAmount> receivableAmount;
}
