package cn.iocoder.yudao.module.wealth.dal.dataobject.receipt;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

@Data
@TableName("ecw_receipt_bank_writeoff_range")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ReceiptBankWriteoffRangeDO extends BaseDO {
    /**
     * 主键
     */
    @TableId
    private Long id;

    /**
     * 核销比例下界（除以100）
     */
    private Integer writeOffDown;

    /**
     * 核销比例上界（除以100）
     */
    private Integer writeOffUp;
}
