package cn.iocoder.yudao.module.wealth.dal.dataobject.receivable;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

@Data
@TableName("ecw_receivable_write_off_record")
@EqualsAndHashCode(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ReceivableWriteOffRecordDO extends BaseDO {
    @TableId
    private Long id;
    private Long orderId;
    private Long receivableId;
    private Long receiptItemId;
    private BigDecimal writeOffAmount;
    private BigDecimal receivableWriteOffAmount;
    private Integer incomeBelong;
}
