package cn.iocoder.yudao.module.wealth.dal.mysql.receiptInvoice;

import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.wealth.dal.dataobject.receiptInvoice.ReceiptInvoiceDO;
import cn.iocoder.yudao.module.wealth.vo.receiptInvoice.ReceiptInvoiceDetailVO;
import cn.iocoder.yudao.module.wealth.vo.receiptInvoice.ReceiptInvoicePageBackVO;
import cn.iocoder.yudao.module.wealth.vo.receiptInvoice.ReceiptInvoiceQueryVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 收款单开票信息 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface ReceiptInvoiceMapper extends AbstractMapper<ReceiptInvoiceDO> {

    IPage<ReceiptInvoicePageBackVO> getReceiptInvoicePage(IPage<ReceiptInvoicePageBackVO> mpPage, @Param("query") ReceiptInvoiceQueryVO query);

    ReceiptInvoiceDetailVO getReceiptInvoiceDetail(Long id);

    String getCurrentMaxInvoiceCode();
}
