package cn.iocoder.yudao.module.wealth.dal.mysql.receiptItem;

import cn.iocoder.yudao.module.wealth.vo.receiptItem.*;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BankReceiptDetailsMapper {
    List<ReceiptItemRespVO> getBankReceiptDetailsList(ReceiptItemReq req);

    long GetCount(ReceiptItemReq req);

    IPage<BankIncomeItemResp> getBankIncomeItemPage(IPage<BankIncomeItemResp> page, @Param("req") BankIncomeItemReq req);

    List<CurrencyAmount> calculateAccountBalance(Long accountId);

    List<CurrencyAmount> calculateCurrentAmount(@Param("req") BankIncomeItemReq req);

    List<CurrencyAmount> calculateTotalAmount();
}
