package cn.iocoder.yudao.module.wealth.job;

import cn.iocoder.yudao.framework.quartz.core.handler.JobHandler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class UpdateCurrencyExchangeRate implements JobHandler {
    /**
     * 更新兑兑目的国各种费用币种汇率
     * @param param 参数
     */
    @Override
    public String execute(String param) throws Exception {
        return "success";
    }
    /**
     * 更新兑兑目的国运费币种汇率
     * 当订单费用核销>=100%且费用类型为运费/额外费用-运费/全包价且兑目的国运费币种汇率为空，
     * 更新目的国运费币种汇率=当前系统本币兑目的国运费用币种汇率，兑目的国运费币种汇率来源=系统汇率+年月日，例如系统汇率2024年06月27日 00:00:00
     */
    private void updateFreightExchangeRate() {

    }
    /**
     * 更新兑兑目的国清关费币种汇率
     * 当订单费用核销>=100%且费用类型为清关费/额外费用-清关费且兑目的国清关费币种汇率为空，
     * 更新目的国清关费币种汇率=当前系统本币兑目的国清关费币种汇率，兑目的国清关费币种汇率来源=系统汇率+年月日，例如系统汇率2024年06月27日 00:00:00
     */
    private void updateClearanceFeeExchangeRate() {
    }

    /**
     * 更新兑兑目的国额外费用主币种汇率
     * 当订单费用核销>=100%且费用类型非清关费/额外费用-清关费/全包价/运费/额外费用-运费且兑目的国额外费用主币种汇率汇率为空，
     * 更新目的国额外费用主币种汇率=当前系统本币兑目的国额外费用主币种汇率，兑目的国额外费用主币种汇率来源=系统汇率+年月日，例如系统汇率2024年06月27日 00:00:00
     */
    private void updateExtraMainExchangeRate() {
    }
    /**
     * 更新兑兑目的国额外费用副币种汇率
     * 当订单费用核销>=100%且费用类型非清关费/额外费用-清关费/全包价/运费/额外费用-运费且兑目的国额外费用副币种汇率汇率为空，
     * 更新目的国额外费用副币种汇率=当前系统本币兑目的国额外费用副币种汇率，兑目的国额外费用副币种汇率来源=系统汇率+年月日，例如系统汇率2024年06月27日 00:00:00
     */
    private void updateExtraSecondaryExchangeRate() {
    }

}
