package cn.iocoder.yudao.module.wealth.vo.receipt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

@Data
@Builder
@ApiModel("收款单明细审核")
@AllArgsConstructor
@NoArgsConstructor
public class FinanceReceiptItemVo {
    @ApiModelProperty(value = "收款单ID")
    @NotNull(message = "收款单ID不能为空")
    private Long receiptId;

    @ApiModelProperty(value = "收款单编号")
    @NotNull(message = "收款单ID不能为空")
    private String receiptNo;

    @ApiModelProperty(value = "收款明细ID")
    @NotNull(message = "收款明细ID不能为空")
    private Long receiptItemId;

    @ApiModelProperty(value = "发起原因")
    private String remark;

    @ApiModelProperty(value = "抄送人")
    private String[] copyUserList;
}
