package cn.iocoder.yudao.module.wealth.vo.receiptAccount;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("管理后台 - 批量导入收款信息结果 VO")
public class ReceiptItemBatchRespVO {

    @ApiModelProperty(value = "订单号/提单号")
    private String orderNo;

    @ApiModelProperty(value = "付款人")
    private String payer;

    @ApiModelProperty(value = "错误类型，0 错误 1 提示")
    private Integer errorType;

    @ApiModelProperty(value = "错误信息")
    private String errorMsg;

}
