package cn.iocoder.yudao.module.wealth.vo.receiptInvoice;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ToString(callSuper = true)
@ApiModel("管理后台 - 收款单开票操作（取消，驳回，删除） Request VO")
public class ReceiptInvoiceOperateReqVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;

    @ApiModelProperty(value = "通知人")
    private List<Long> notifyUserIdList;

    @ApiModelProperty(value = "备注")
    private String remark;
}
