package cn.iocoder.yudao.module.wealth.vo.receiptInvoice;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("管理后台 - 收款单开票信息查询 VO")
public class ReceiptInvoiceQueryVO {

    @ApiModelProperty(value = "开票编号")
    private String invoiceNo;

    @ApiModelProperty(value = "收款单号（例：SKD001）")
    private String receiptNo;

    @ApiModelProperty(value = "订单号（NG2414248L）")
    private String orderNo;

    @ApiModelProperty(value = "提单号（CNG244432-26）")
    private String tidanNo;

    @ApiModelProperty(value = "开票状态")
    private List<Integer> invoicingStatus;

}
