package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import cn.iocoder.yudao.module.wealth.vo.receivable.ReceivableWriteOffReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel("管理后台 - 收款单明细创建 Request VO")
public class ReceiptItemCreateReqVO extends ReceiptItemBaseVO {
    @ApiModelProperty(value = "应收核销信息")
    private List<ReceivableWriteOffReqVO> receivableWriteOffList;
    @ApiModelProperty(value = "订单号")
    private String orderNo;
}
