package cn.iocoder.yudao.module.wealth.vo.receiptItem;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("管理后台 - 银行收款单明细列表")
public class ReceiptItemReq extends PageParam {

    private int start;

    @ApiModelProperty(value = "收款单编号")
    private String receiptNo;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "提单编号")
    private String tidanNo;

    @ApiModelProperty(value = "创建日期开始")
    private String sDate1;
    @ApiModelProperty(value = "创建日期结束")
    private String eDate1;

    @ApiModelProperty(value = "提交审批日期开始")
    private String sDate2;
    @ApiModelProperty(value = "提交审批日期结束")
    private String eDate2;

    @ApiModelProperty(value = "审批通过日期开始")
    private String sDate3;
    @ApiModelProperty(value = "审批通过日期结束")
    private String eDate3;

    @ApiModelProperty(value = "实收日期开始")
    private String sDate4;
    @ApiModelProperty(value = "实收日期结束")
    private String eDate4;

    @ApiModelProperty(value = "创建人")
    private String creator;

    @ApiModelProperty(value = "收款账户")
    private String accountNo;

    @ApiModelProperty(value = "审批状态")
    private String status;

    @ApiModelProperty(value = "流水号")
    private String serialNumber;
}
