package cn.iocoder.yudao.module.wealth.vo.receivable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("管理后台 - 费用明细 Response VO")
@Builder
public class CostDetailBackVO {

    @ApiModelProperty(value = "按查询统计")
    private List<WealthMoneyAmountVO> searchStatistics;

    @ApiModelProperty(value = "所有明细统计")
    private List<WealthMoneyAmountVO> totalStatistics;

    @ApiModelProperty(value = "分页VO")
    private List<CostDetailPageVO> list;

    @ApiModelProperty(value = "总量")
    private Long total;

    @ApiModelProperty(value = "每页记录数")
    private Long rows;

    @ApiModelProperty(value = "当前页数")
    private Long page;

    @ApiModelProperty(value = "总页数")
    private Long pages;
}
