package cn.iocoder.yudao.module.wealth.vo.receivable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("管理后台 - 费用明细查询 Request VO")
public class CostDetailPageQueryVO {

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "运输方式id")
    private List<Integer> transportId;

    @ApiModelProperty(value = "出货渠道（多选）")
    private List<Integer> shipmentChannel;

    @ApiModelProperty(value = "始发仓id（多选）")
    private List<Integer> departureWareHouseId;

    @ApiModelProperty(value = "目的国（多选）")
    private List<Integer> destCountry;

    @ApiModelProperty(value = "目的城市（多选）")
    private List<Integer> destCity;

    @ApiModelProperty(value = "目的仓id（多选）")
    private List<Integer> objectiveWareHouseId;

    @ApiModelProperty(value = "品名")
    private String title;

    @ApiModelProperty(value = "费用来源：1 订单计算 2 费用申请 3 特需费用（多选）")
    private List<Integer> feeSource;

    @ApiModelProperty(value = "费用类型(字典 receivable_fee_type)（多选）")
    private List<Integer> feeType;

    @ApiModelProperty(value = "收款类型(字典 payment_type)（多选）")
    private List<Integer> collectionType;

    @ApiModelProperty(value = "订单状态详情见字典：order_status")
    private Integer status;
}
