package cn.iocoder.yudao.module.wealth.vo.receivable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class ReceivableOrderPayedFeeTypeVO {


    @ApiModelProperty(value = "收款类型(字典 payment_type)")
    private Integer collectionType;

    @ApiModelProperty(value = "收款类型(字典 payment_type)")
    private String collectionTypeLabel;

    @ApiModelProperty(value = "费用类型(字典 receivable_fee_type)")
    private Integer feeType;
    @ApiModelProperty(value = "费用类型(字典 receivable_fee_type)")
    private String feeTypeLabel;

    @ApiModelProperty(value = "货币id")
    private Long currencyId;

    @ApiModelProperty(value = "货币")
    private String currency;

    @ApiModelProperty(value = "应付金额")
    private BigDecimal totalAmount;
    @ApiModelProperty(value = "已核销金额")
    private BigDecimal payedAmount;
    @ApiModelProperty(value = "优惠金额")
    private BigDecimal discountTotal;


    @ApiModelProperty(value = "收款单核销比例")
    private BigDecimal writeOffProportion;

    @ApiModelProperty(value = "收款单id")
    private Long receiptId;

    @ApiModelProperty(value = "费用来源：1 订单计算 2 费用申请 3 特需费用")
    private Integer feeSource;




}
